package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.inkasso.factoring.file.entity.FileStorageDO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 采购合同 合同的签署结论
 * </p>
 *
 * @author liutao
 * @since 2023-03-28
 */
@TableName("purch_supplement_contract_sign_conclusion")
public class PurchSupplementContractSignConclusion extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同Id
     */
    @TableField("purch_contract_supplement_info_id")
    private Long purchContractSupplementInfoId;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    /**
     * 签署结论
     */
    @TableField("conclusion")
    private String conclusion;

    /**
     * 是否提交 0 不提交 1 提交
     */
    @TableField("visible")
    private Integer visible;

    @TableField(exist = false)
    private List<Long> deleteIds;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private List<MultipartFile> files;

    @TableField(exist = false)
    private List<FileStorageDO> fileStorages;

    @TableField(exist = false)
    private Enterprise supplier;

    @TableField(exist = false)
    private Integer online;

    @TableField(exist = false)
    List<CPurchContractSupplementElectronicInfo> purchContractSupplementElectronicInfos;

    @TableField(exist = false)
    private Long purchContractBasicId;

    /**
     * 历史数据 1 历史 0 非历史
     */
    @TableField(exist = false)
    private Integer history;

    public Integer getHistory() {
        return history;
    }

    public void setHistory(Integer history) {
        this.history = history;
    }

    public Enterprise getSupplier() {
        return supplier;
    }

    public void setSupplier(Enterprise supplier) {
        this.supplier = supplier;
    }

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public List<CPurchContractSupplementElectronicInfo> getPurchContractSupplementElectronicInfos() {
        return purchContractSupplementElectronicInfos;
    }

    public void setPurchContractSupplementElectronicInfos(List<CPurchContractSupplementElectronicInfo> purchContractSupplementElectronicInfos) {
        this.purchContractSupplementElectronicInfos = purchContractSupplementElectronicInfos;
    }

    public List<Long> getDeleteIds() {
        return deleteIds;
    }

    public void setDeleteIds(List<Long> deleteIds) {
        this.deleteIds = deleteIds;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public List<MultipartFile> getFiles() {
        return files;
    }

    public void setFiles(List<MultipartFile> files) {
        this.files = files;
    }

    public List<FileStorageDO> getFileStorages() {
        return fileStorages;
    }

    public void setFileStorages(List<FileStorageDO> fileStorages) {
        this.fileStorages = fileStorages;
    }

    public Long getPurchContractSupplementInfoId() {
        return purchContractSupplementInfoId;
    }

    public void setPurchContractSupplementInfoId(Long purchContractSupplementInfoId) {
        this.purchContractSupplementInfoId = purchContractSupplementInfoId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }
    public Integer getVisible() {
        return visible;
    }

    public void setVisible(Integer visible) {
        this.visible = visible;
    }

    public Long getPurchContractBasicId() {
        return purchContractBasicId;
    }

    public void setPurchContractBasicId(Long purchContractBasicId) {
        this.purchContractBasicId = purchContractBasicId;
    }
}
